# weiterbildungssuche
Eine der größten Weiterbildungsdatenbanken Deutschlands durchsuchen. 

Die Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:

**ClientID:** 38053956-6618-4953-b670-b4ae7a2360b1

**ClientSecret:** c385073c-3b97-42a9-b916-08fd8a5d1795. 

**Achtung**: der generierte Token muss bei folgenden GET-requests im header als 'OAuthAccessToken' inkludiert werden.


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://github.com/AndreasFischer1985/weiterbildungssuche-api](https://github.com/AndreasFischer1985/weiterbildungssuche-api)

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[weiterbildungssuche]
```

### poetry install

```sh
poetry add deutschland -E weiterbildungssuche
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import weiterbildungssuche
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import weiterbildungssuche
from pprint import pprint
from deutschland.weiterbildungssuche.api import default_api
from deutschland.weiterbildungssuche.model.response import Response
# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/infosysbub/wbsuche
# See configuration.py for a list of all supported configuration parameters.
configuration = weiterbildungssuche.Configuration(
    host = "https://rest.arbeitsagentur.de/infosysbub/wbsuche"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure OAuth2 access token for authorization: clientCredAuth
configuration = weiterbildungssuche.Configuration(
    host = "https://rest.arbeitsagentur.de/infosysbub/wbsuche"
)
configuration.access_token = 'YOUR_ACCESS_TOKEN'


# Enter a context with an instance of the API client
with weiterbildungssuche.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    sw = "IT-Security%2520-%2520allgemein" # str | Suchwort (optional)
    ort = "Feucht_90537_11.224918_49.376701" # str | Ortsangabe nebst Postleitzahl und Koordinaten (optional)
    page = 1 # int | Ergebnissseite (optional)
    size = 50 # int | Anzahl von Ergebnissen (optional)
    uk = "Bundesweit" # str | Umkreis - Bundesweit=Bundesweit, 25=25 km, 50=50 km, 100=100 km, 150=150 km, 200=200 km. (optional)
    re = "BW" # str | Region/Bundesland - BW=Baden-Württemberg, BY=Bayern, BE=Berlin, BB=Brandenburg, HB=Bremen, HH=Hamburg, HE=Hessen, MV=Mecklenburg-Vorpommern, NI=Niedersachsen, NW=Nordrhei-Westfalen, RP=Rheinland-Pfalz, SL=Saarland, SN=Sachsen, ST=Sachsen-Anhalt, SH=Schleswig-Holstein, TH=Thüringen. Mehrere Komma-getrennte Angaben möglich. (optional)
    bt = 0 # int | Beginntermin - 0=regelmäßiger Start, 1=diesen Monat, 2=Folgemonat, 3=in zwei Monaten, 4=in drei Monaten, 5=in mehr als drei Monaten (optional)
    uz = 1 # int | Unterrichtszeit - 1=Vollzeit, 2=Teilzeit. Mehrere Komma-getrennte Angaben möglich. (optional)
    dauer = 0 # int | Dauer - 0=Auf Anfrage, 1,2=bis eine Woche, 1,2,3=bis ein Monat, 1,2,3,4=bis drei Monate, 1,2,3,4,5=bis sechs Monate, 1,2,3,4,5,6=bis ein Jahr, 7,8,9=mehr als ein Jahr. Mehrere Komma-getrennte Angaben sind die Regel. (optional)
    uf = 101 # int | Unterrichtsform. 101=Präsenzveranstaltung, 102=Seminar, 103=Workshop, 104=Praxistraining, 105=Sonstige Präsenzveranstaltung, 201=Virtuelles Klassenzimmer, 202=Online-Seminar, 203=Online-Coaching, 204=Selbstlernmodul, 206=Sonstige digitale Lernformen, 301=Blended Learning, 302=Combined Learning, 303=Hybrid Learning, 304=Sonstige kombinierte Lernformen,401=Fernunterricht, 402=Fernlehrgang, 403=Sonstiger Fernunterricht. Mehrere Komma-getrennte Angaben möglich (z.B. uf=101,202). (optional)
    anbieter = 22210 # int | Anbieter-ID (optional)
    it = "RC" # str | Integrationstyp - RC=Ausbildung Reha, RD=weiterbildung Reha. Mehrere Komma-getrennte Angaben möglich. (optional)
    bg = True # bool | Bildungsgutschein - true=nur Angebote mit Zulassung zur Förderung mit Bildungsgutschein anzeigen, false=nicht nur Angebote mit Zulassung zur Förderung mit Bildungsgutschein anzeigen. (optional)

    try:
        # Weiterbildungssuche
        api_response = api_instance.weiterbildungssuche(sw=sw, ort=ort, page=page, size=size, uk=uk, re=re, bt=bt, uz=uz, dauer=dauer, uf=uf, anbieter=anbieter, it=it, bg=bg)
        pprint(api_response)
    except weiterbildungssuche.ApiException as e:
        print("Exception when calling DefaultApi->weiterbildungssuche: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://rest.arbeitsagentur.de/infosysbub/wbsuche*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**weiterbildungssuche**](docs/DefaultApi.md#weiterbildungssuche) | **GET** /pc/v1/bildungsangebot | Weiterbildungssuche


## Documentation For Models

 - [Response](docs/Response.md)
 - [ResponseAggregations](docs/ResponseAggregations.md)
 - [ResponseAggregationsANZAHLAUSGEFILTERT](docs/ResponseAggregationsANZAHLAUSGEFILTERT.md)
 - [ResponseAggregationsANZAHLGESAMT](docs/ResponseAggregationsANZAHLGESAMT.md)
 - [ResponseAggregationsLERNFORMEN](docs/ResponseAggregationsLERNFORMEN.md)
 - [ResponseAggregationsREGIONEN](docs/ResponseAggregationsREGIONEN.md)
 - [ResponseAggregationsUNTERRICHSTZEIT](docs/ResponseAggregationsUNTERRICHSTZEIT.md)
 - [ResponseEmbedded](docs/ResponseEmbedded.md)
 - [ResponseEmbeddedAdresse](docs/ResponseEmbeddedAdresse.md)
 - [ResponseEmbeddedAdresseKoordinaten](docs/ResponseEmbeddedAdresseKoordinaten.md)
 - [ResponseEmbeddedAdresseOrtStraE](docs/ResponseEmbeddedAdresseOrtStraE.md)
 - [ResponseEmbeddedAdresseOrtStraELand](docs/ResponseEmbeddedAdresseOrtStraELand.md)
 - [ResponseEmbeddedAngebot](docs/ResponseEmbeddedAngebot.md)
 - [ResponseEmbeddedAnsprechpartner](docs/ResponseEmbeddedAnsprechpartner.md)
 - [ResponseEmbeddedDauer](docs/ResponseEmbeddedDauer.md)
 - [ResponseEmbeddedRollen](docs/ResponseEmbeddedRollen.md)
 - [ResponseEmbeddedTermine](docs/ResponseEmbeddedTermine.md)
 - [ResponseEmbeddedUnterrichtsform](docs/ResponseEmbeddedUnterrichtsform.md)
 - [ResponseEmbeddedUnterrichtszeit](docs/ResponseEmbeddedUnterrichtszeit.md)
 - [ResponseLinks](docs/ResponseLinks.md)
 - [ResponseLinksFirst](docs/ResponseLinksFirst.md)
 - [ResponseLinksLast](docs/ResponseLinksLast.md)
 - [ResponseLinksNext](docs/ResponseLinksNext.md)
 - [ResponsePage](docs/ResponsePage.md)


## Documentation For Authorization


## clientCredAuth

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: N/A


## Author

andreasfischer1985@web.de


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in weiterbildungssuche.apis and weiterbildungssuche.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.weiterbildungssuche.api.default_api import DefaultApi`
- `from deutschland.weiterbildungssuche.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import weiterbildungssuche
from deutschland.weiterbildungssuche.apis import *
from deutschland.weiterbildungssuche.models import *
```

