"""
    Arbeitsagentur Weiterbildungssuche API

    Eine der größten Weiterbildungsdatenbanken Deutschlands durchsuchen.   Die Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:  **ClientID:** 38053956-6618-4953-b670-b4ae7a2360b1  **ClientSecret:** c385073c-3b97-42a9-b916-08fd8a5d1795.   **Achtung**: der generierte Token muss bei folgenden GET-requests im header als 'OAuthAccessToken' inkludiert werden.   # noqa: E501

    The version of the OpenAPI document: 1.0.0
    Contact: andreasfischer1985@web.de
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from deutschland.weiterbildungssuche.api_client import ApiClient
from deutschland.weiterbildungssuche.api_client import Endpoint as _Endpoint
from deutschland.weiterbildungssuche.model.response import Response
from deutschland.weiterbildungssuche.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types,
)


class DefaultApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client
        self.weiterbildungssuche_endpoint = _Endpoint(
            settings={
                "response_type": (Response,),
                "auth": ["clientCredAuth"],
                "endpoint_path": "/pc/v1/bildungsangebot",
                "operation_id": "weiterbildungssuche",
                "http_method": "GET",
                "servers": None,
            },
            params_map={
                "all": [
                    "sw",
                    "ort",
                    "page",
                    "size",
                    "uk",
                    "re",
                    "bt",
                    "uz",
                    "dauer",
                    "uf",
                    "anbieter",
                    "it",
                    "bg",
                ],
                "required": [],
                "nullable": [],
                "enum": [
                    "uk",
                    "re",
                    "bt",
                    "uz",
                    "dauer",
                    "uf",
                    "it",
                ],
                "validation": [],
            },
            root_map={
                "validations": {},
                "allowed_values": {
                    ("uk",): {
                        "BUNDESWEIT": "Bundesweit",
                        "25": "25",
                        "50": "50",
                        "100": "100",
                        "150": "150",
                        "200": "200",
                    },
                    ("re",): {
                        "BW": "BW",
                        "BY": "BY",
                        "BE": "BE",
                        "BB": "BB",
                        "HB": "HB",
                        "HH": "HH",
                        "HE": "HE",
                        "MV": "MV",
                        "NI": "NI",
                        "NW": "NW",
                        "RP": "RP",
                        "SL": "SL",
                        "SN": "SN",
                        "ST": "ST",
                        "SH": "SH",
                        "TH": "TH",
                    },
                    ("bt",): {"0": 0, "1": 1, "2": 2, "3": 3, "4": 4, "5": 5},
                    ("uz",): {"1": 1, "2": 2},
                    ("dauer",): {
                        "1": 1,
                        "2": 2,
                        "3": 3,
                        "4": 4,
                        "5": 5,
                        "6": 6,
                        "7": 7,
                        "8": 8,
                        "9": 9,
                        "0": 0,
                    },
                    ("uf",): {
                        "101": 101,
                        "102": 102,
                        "103": 103,
                        "104": 104,
                        "105": 105,
                        "201": 201,
                        "202": 202,
                        "203": 203,
                        "204": 204,
                        "206": 206,
                        "301": 301,
                        "302": 302,
                        "303": 303,
                        "304": 304,
                        "401": 401,
                        "402": 402,
                        "403": 403,
                    },
                    ("it",): {"RC": "RC", "RD": "RD"},
                },
                "openapi_types": {
                    "sw": (str,),
                    "ort": (str,),
                    "page": (int,),
                    "size": (int,),
                    "uk": (str,),
                    "re": (str,),
                    "bt": (int,),
                    "uz": (int,),
                    "dauer": (int,),
                    "uf": (int,),
                    "anbieter": (int,),
                    "it": (str,),
                    "bg": (bool,),
                },
                "attribute_map": {
                    "sw": "sw",
                    "ort": "ort",
                    "page": "page",
                    "size": "size",
                    "uk": "uk",
                    "re": "re",
                    "bt": "bt",
                    "uz": "uz",
                    "dauer": "dauer",
                    "uf": "uf",
                    "anbieter": "anbieter",
                    "it": "it",
                    "bg": "bg",
                },
                "location_map": {
                    "sw": "query",
                    "ort": "query",
                    "page": "query",
                    "size": "query",
                    "uk": "query",
                    "re": "query",
                    "bt": "query",
                    "uz": "query",
                    "dauer": "query",
                    "uf": "query",
                    "anbieter": "query",
                    "it": "query",
                    "bg": "query",
                },
                "collection_format_map": {},
            },
            headers_map={
                "accept": ["application/json"],
                "content_type": [],
            },
            api_client=api_client,
        )

    def weiterbildungssuche(self, **kwargs):
        """Weiterbildungssuche  # noqa: E501

        Die Weiterbildungssuche ermöglicht verfügbare Weiterbildungsangebote mit verschiedenen GET-Parametern zu filtern.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True

        >>> thread = api.weiterbildungssuche(async_req=True)
        >>> result = thread.get()


        Keyword Args:
            sw (str): Suchwort. [optional]
            ort (str): Ortsangabe nebst Postleitzahl und Koordinaten. [optional]
            page (int): Ergebnissseite. [optional]
            size (int): Anzahl von Ergebnissen. [optional]
            uk (str): Umkreis - Bundesweit=Bundesweit, 25=25 km, 50=50 km, 100=100 km, 150=150 km, 200=200 km.. [optional]
            re (str): Region/Bundesland - BW=Baden-Württemberg, BY=Bayern, BE=Berlin, BB=Brandenburg, HB=Bremen, HH=Hamburg, HE=Hessen, MV=Mecklenburg-Vorpommern, NI=Niedersachsen, NW=Nordrhei-Westfalen, RP=Rheinland-Pfalz, SL=Saarland, SN=Sachsen, ST=Sachsen-Anhalt, SH=Schleswig-Holstein, TH=Thüringen. Mehrere Komma-getrennte Angaben möglich.. [optional]
            bt (int): Beginntermin - 0=regelmäßiger Start, 1=diesen Monat, 2=Folgemonat, 3=in zwei Monaten, 4=in drei Monaten, 5=in mehr als drei Monaten. [optional]
            uz (int): Unterrichtszeit - 1=Vollzeit, 2=Teilzeit. Mehrere Komma-getrennte Angaben möglich.. [optional]
            dauer (int): Dauer - 0=Auf Anfrage, 1,2=bis eine Woche, 1,2,3=bis ein Monat, 1,2,3,4=bis drei Monate, 1,2,3,4,5=bis sechs Monate, 1,2,3,4,5,6=bis ein Jahr, 7,8,9=mehr als ein Jahr. Mehrere Komma-getrennte Angaben sind die Regel.. [optional]
            uf (int): Unterrichtsform. 101=Präsenzveranstaltung, 102=Seminar, 103=Workshop, 104=Praxistraining, 105=Sonstige Präsenzveranstaltung, 201=Virtuelles Klassenzimmer, 202=Online-Seminar, 203=Online-Coaching, 204=Selbstlernmodul, 206=Sonstige digitale Lernformen, 301=Blended Learning, 302=Combined Learning, 303=Hybrid Learning, 304=Sonstige kombinierte Lernformen,401=Fernunterricht, 402=Fernlehrgang, 403=Sonstiger Fernunterricht. Mehrere Komma-getrennte Angaben möglich (z.B. uf=101,202).. [optional]
            anbieter (int): Anbieter-ID. [optional]
            it (str): Integrationstyp - RC=Ausbildung Reha, RD=weiterbildung Reha. Mehrere Komma-getrennte Angaben möglich.. [optional]
            bg (bool): Bildungsgutschein - true=nur Angebote mit Zulassung zur Förderung mit Bildungsgutschein anzeigen, false=nicht nur Angebote mit Zulassung zur Förderung mit Bildungsgutschein anzeigen.. [optional]
            _return_http_data_only (bool): response data without head status
                code and headers. Default is True.
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
            async_req (bool): execute request asynchronously

        Returns:
            Response
                If the method is called asynchronously, returns the request
                thread.
        """
        kwargs["async_req"] = kwargs.get("async_req", False)
        kwargs["_return_http_data_only"] = kwargs.get("_return_http_data_only", True)
        kwargs["_preload_content"] = kwargs.get("_preload_content", True)
        kwargs["_request_timeout"] = kwargs.get("_request_timeout", None)
        kwargs["_check_input_type"] = kwargs.get("_check_input_type", True)
        kwargs["_check_return_type"] = kwargs.get("_check_return_type", True)
        kwargs["_spec_property_naming"] = kwargs.get("_spec_property_naming", False)
        kwargs["_content_type"] = kwargs.get("_content_type")
        kwargs["_host_index"] = kwargs.get("_host_index")
        return self.weiterbildungssuche_endpoint.call_with_http_info(**kwargs)
