# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.weiterbildungssuche',
 'deutschland.weiterbildungssuche.api',
 'deutschland.weiterbildungssuche.apis',
 'deutschland.weiterbildungssuche.model',
 'deutschland.weiterbildungssuche.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-weiterbildungssuche',
    'version': '0.1.0',
    'description': 'Arbeitsagentur Weiterbildungssuche API',
    'long_description': '# weiterbildungssuche\nEine der größten Weiterbildungsdatenbanken Deutschlands durchsuchen. \n\nDie Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:\n\n**ClientID:** 38053956-6618-4953-b670-b4ae7a2360b1\n\n**ClientSecret:** c385073c-3b97-42a9-b916-08fd8a5d1795. \n\n**Achtung**: der generierte Token muss bei folgenden GET-requests im header als \'OAuthAccessToken\' inkludiert werden.\n\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\nFor more information, please visit [https://github.com/AndreasFischer1985/weiterbildungssuche-api](https://github.com/AndreasFischer1985/weiterbildungssuche-api)\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[weiterbildungssuche]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E weiterbildungssuche\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import weiterbildungssuche\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import weiterbildungssuche\nfrom pprint import pprint\nfrom deutschland.weiterbildungssuche.api import default_api\nfrom deutschland.weiterbildungssuche.model.response import Response\n# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/infosysbub/wbsuche\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = weiterbildungssuche.Configuration(\n    host = "https://rest.arbeitsagentur.de/infosysbub/wbsuche"\n)\n\n# The client must configure the authentication and authorization parameters\n# in accordance with the API server security policy.\n# Examples for each auth method are provided below, use the example that\n# satisfies your auth use case.\n\n# Configure OAuth2 access token for authorization: clientCredAuth\nconfiguration = weiterbildungssuche.Configuration(\n    host = "https://rest.arbeitsagentur.de/infosysbub/wbsuche"\n)\nconfiguration.access_token = \'YOUR_ACCESS_TOKEN\'\n\n\n# Enter a context with an instance of the API client\nwith weiterbildungssuche.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    sw = "IT-Security%2520-%2520allgemein" # str | Suchwort (optional)\n    ort = "Feucht_90537_11.224918_49.376701" # str | Ortsangabe nebst Postleitzahl und Koordinaten (optional)\n    page = 1 # int | Ergebnissseite (optional)\n    size = 50 # int | Anzahl von Ergebnissen (optional)\n    uk = "Bundesweit" # str | Umkreis - Bundesweit=Bundesweit, 25=25 km, 50=50 km, 100=100 km, 150=150 km, 200=200 km. (optional)\n    re = "BW" # str | Region/Bundesland - BW=Baden-Württemberg, BY=Bayern, BE=Berlin, BB=Brandenburg, HB=Bremen, HH=Hamburg, HE=Hessen, MV=Mecklenburg-Vorpommern, NI=Niedersachsen, NW=Nordrhei-Westfalen, RP=Rheinland-Pfalz, SL=Saarland, SN=Sachsen, ST=Sachsen-Anhalt, SH=Schleswig-Holstein, TH=Thüringen. Mehrere Komma-getrennte Angaben möglich. (optional)\n    bt = 0 # int | Beginntermin - 0=regelmäßiger Start, 1=diesen Monat, 2=Folgemonat, 3=in zwei Monaten, 4=in drei Monaten, 5=in mehr als drei Monaten (optional)\n    uz = 1 # int | Unterrichtszeit - 1=Vollzeit, 2=Teilzeit. Mehrere Komma-getrennte Angaben möglich. (optional)\n    dauer = 0 # int | Dauer - 0=Auf Anfrage, 1,2=bis eine Woche, 1,2,3=bis ein Monat, 1,2,3,4=bis drei Monate, 1,2,3,4,5=bis sechs Monate, 1,2,3,4,5,6=bis ein Jahr, 7,8,9=mehr als ein Jahr. Mehrere Komma-getrennte Angaben sind die Regel. (optional)\n    uf = 101 # int | Unterrichtsform. 101=Präsenzveranstaltung, 102=Seminar, 103=Workshop, 104=Praxistraining, 105=Sonstige Präsenzveranstaltung, 201=Virtuelles Klassenzimmer, 202=Online-Seminar, 203=Online-Coaching, 204=Selbstlernmodul, 206=Sonstige digitale Lernformen, 301=Blended Learning, 302=Combined Learning, 303=Hybrid Learning, 304=Sonstige kombinierte Lernformen,401=Fernunterricht, 402=Fernlehrgang, 403=Sonstiger Fernunterricht. Mehrere Komma-getrennte Angaben möglich (z.B. uf=101,202). (optional)\n    anbieter = 22210 # int | Anbieter-ID (optional)\n    it = "RC" # str | Integrationstyp - RC=Ausbildung Reha, RD=weiterbildung Reha. Mehrere Komma-getrennte Angaben möglich. (optional)\n    bg = True # bool | Bildungsgutschein - true=nur Angebote mit Zulassung zur Förderung mit Bildungsgutschein anzeigen, false=nicht nur Angebote mit Zulassung zur Förderung mit Bildungsgutschein anzeigen. (optional)\n\n    try:\n        # Weiterbildungssuche\n        api_response = api_instance.weiterbildungssuche(sw=sw, ort=ort, page=page, size=size, uk=uk, re=re, bt=bt, uz=uz, dauer=dauer, uf=uf, anbieter=anbieter, it=it, bg=bg)\n        pprint(api_response)\n    except weiterbildungssuche.ApiException as e:\n        print("Exception when calling DefaultApi->weiterbildungssuche: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://rest.arbeitsagentur.de/infosysbub/wbsuche*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**weiterbildungssuche**](docs/DefaultApi.md#weiterbildungssuche) | **GET** /pc/v1/bildungsangebot | Weiterbildungssuche\n\n\n## Documentation For Models\n\n - [Response](docs/Response.md)\n - [ResponseAggregations](docs/ResponseAggregations.md)\n - [ResponseAggregationsANZAHLAUSGEFILTERT](docs/ResponseAggregationsANZAHLAUSGEFILTERT.md)\n - [ResponseAggregationsANZAHLGESAMT](docs/ResponseAggregationsANZAHLGESAMT.md)\n - [ResponseAggregationsLERNFORMEN](docs/ResponseAggregationsLERNFORMEN.md)\n - [ResponseAggregationsREGIONEN](docs/ResponseAggregationsREGIONEN.md)\n - [ResponseAggregationsUNTERRICHSTZEIT](docs/ResponseAggregationsUNTERRICHSTZEIT.md)\n - [ResponseEmbedded](docs/ResponseEmbedded.md)\n - [ResponseEmbeddedAdresse](docs/ResponseEmbeddedAdresse.md)\n - [ResponseEmbeddedAdresseKoordinaten](docs/ResponseEmbeddedAdresseKoordinaten.md)\n - [ResponseEmbeddedAdresseOrtStraE](docs/ResponseEmbeddedAdresseOrtStraE.md)\n - [ResponseEmbeddedAdresseOrtStraELand](docs/ResponseEmbeddedAdresseOrtStraELand.md)\n - [ResponseEmbeddedAngebot](docs/ResponseEmbeddedAngebot.md)\n - [ResponseEmbeddedAnsprechpartner](docs/ResponseEmbeddedAnsprechpartner.md)\n - [ResponseEmbeddedDauer](docs/ResponseEmbeddedDauer.md)\n - [ResponseEmbeddedRollen](docs/ResponseEmbeddedRollen.md)\n - [ResponseEmbeddedTermine](docs/ResponseEmbeddedTermine.md)\n - [ResponseEmbeddedUnterrichtsform](docs/ResponseEmbeddedUnterrichtsform.md)\n - [ResponseEmbeddedUnterrichtszeit](docs/ResponseEmbeddedUnterrichtszeit.md)\n - [ResponseLinks](docs/ResponseLinks.md)\n - [ResponseLinksFirst](docs/ResponseLinksFirst.md)\n - [ResponseLinksLast](docs/ResponseLinksLast.md)\n - [ResponseLinksNext](docs/ResponseLinksNext.md)\n - [ResponsePage](docs/ResponsePage.md)\n\n\n## Documentation For Authorization\n\n\n## clientCredAuth\n\n- **Type**: OAuth\n- **Flow**: application\n- **Authorization URL**: \n- **Scopes**: N/A\n\n\n## Author\n\nandreasfischer1985@web.de\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in weiterbildungssuche.apis and weiterbildungssuche.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.weiterbildungssuche.api.default_api import DefaultApi`\n- `from deutschland.weiterbildungssuche.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import weiterbildungssuche\nfrom deutschland.weiterbildungssuche.apis import *\nfrom deutschland.weiterbildungssuche.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/weiterbildungssuche-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
